<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.metrics" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="exposed-subsystems,prefix,security-enabled"/>
        <elem name="addr-params" value="subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.metrics"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.extension.metrics.registry"/>
        <capability name="org.wildfly.extension.metrics.wildfly-collector"/>
        <capability name="org.wildfly.management.http-context.metrics"/>
        <capability name="org.wildfly.extension.metrics.http-context"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.model-controller-client-factory"/>
        <capability name="org.wildfly.management.executor"/>
        <capability name="org.wildfly.management.http.extensible"/>
        <capability name="org.wildfly.management.process-state-notifier"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="metrics"/>
        <param name="extension" default="org.wildfly.extension.metrics"/>
        <param name="exposed-subsystems" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="prefix" nillable="true" stability="default"/>
        <param name="security-enabled" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.metrics"/>
    </packages>
</feature-spec>